package com.idiot.operationbackend.service.impl;

import com.baomidou.mybatisplus.core.toolkit.CollectionUtils;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.idiot.operationbackend.entity.Account;
import com.idiot.operationbackend.mappers.AccountMapper;
import com.idiot.operationbackend.service.facade.AccountService;
import com.idiot.operationbackend.support.CustomException;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Objects;

/**
 * @author wang xiao
 * @date Created in 17:56 2020/9/10
 */
@Service
public class AccountServiceImpl extends ServiceImpl<AccountMapper, Account>
        implements AccountService {

    @Override
    public boolean saveOrUpdateAccount(Account account) {
        Account temp = getOne(Wrappers.<Account>lambdaQuery().eq(Account::getAuthorizerAppId,account.getAuthorizerAppId()));
        if (Objects.isNull(temp)) {
            return save(account);
        }else {
            account.setId(temp.getId());
            return saveOrUpdate(account);
        }
    }


    @Override
    public boolean updateUserIdByAccount(String accountId, String userId) {
        return update(Wrappers.<Account>lambdaUpdate()
                .set(Account::getCreateUserId,userId)
                .eq(Account::getId,accountId));
    }


    @Override
    public List<Account> queryAccountByUserId(String userId) {
        List<Account> list =  list(Wrappers.<Account>lambdaQuery().eq(Account::getCreateUserId,userId));
        if (CollectionUtils.isEmpty(list)) {
            throw new CustomException(501,"当前暂无认证公众号,或无权查看！请前往公众号管理授权认证");
        }
        return list;
    }


    @Override
    public List<Account> queryAccountBuSubUserIds(List<String> userIds) {
        return list(Wrappers.<Account>lambdaQuery().in(Account::getCreateUserId,userIds));
    }

    @Override
    public List<Account> queryAccount() {
        return list(Wrappers.<Account>lambdaQuery().eq(Account::getState,"1"));
    }

    @Override
    public Account queryByAppId(String appId) {
        return getOne(Wrappers.<Account>lambdaQuery().eq(Account::getAuthorizerAppId,appId),false);
    }
}
