package com.idiot.operationbackend.support;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;

/**
 * @author wang xiao
 * @date Created in 18:59 2020/9/18
 */
public enum MediaType {

    /**
     * 图
     */
    IMAGE(0,"image"),
    /**
     * 音
     */
    VOICE(1,"voice"),
    /**
     * 视频
     */
    VIDEO(2,"video"),
    /**
     * 缩略图
     */
    THUMB(3,"thumb");


    @EnumValue
    private int value;

    @JsonValue
    private String label;

    MediaType(int value, String label) {
        this.value = value;
        this.label = label;
    }

    public int getValue() {
        return value;
    }

    public void setValue(int value) {
        this.value = value;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public static MediaType nameOf(String label) {
        for (MediaType temp :MediaType.values()) {
            if (label.equals(temp.label)) {
                return temp;
            }
        }
        return null;
    }
}

